#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	DES
Summary:	Crypt::DES - Perl DES encryption module
Summary(pl.UTF-8):	Crypt::DES - moduł Perla dla szyfrowania DES
Name:		perl-Crypt-DES
Version:	2.07
Release:	15%{?tld}
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e845d24cf383ca4a30a3380a2735feac
URL:		https://metacpan.org/dist/Crypt-DES
%{?with_tests:BuildRequires:	perl-Crypt-CBC}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DES is Perl interface to DES block cipher.

%description -l pl.UTF-8
Moduł Perla Crypt::DES zawiera obsługę algorytmu szyfrowania DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%{perl_vendorarch}/Crypt/DES.pm
%dir %{perl_vendorarch}/auto/Crypt/DES
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/DES/DES.so
%{_mandir}/man3/Crypt::DES.3pm*
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-DES.git;a=log;h=e12fa706d37cbeccbcdf6359aba1f834efdb7560

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> e12fa70
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 60c50c8
- perl 5.38.0 rebuild

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 6ac85a5
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> f6a7053
- rebuild with perl 5.34.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 8efd5f4
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> b8a080a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0e03585
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b2f2445
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 4e3666f
- release 9

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> aa8f7b1
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4265c38
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f9f961b
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f78da72
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> dc8ae78
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 29905bb
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b074f78
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5360a44
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a4e814
- updated to 2.07

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ea8a826
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 8339b2d
- rel 7

